# GTAOShader

## Import

GTAOShader is an addon, and must be imported explicitly, see Installation#Addons.

    import { GTAOShader } from 'three/addons/shaders/GTAOShader.js';

## Properties

### .GTAOBlendShader : Object (inner, constant)

GTAO blend shader. Use by GTAOPass.

### .GTAODepthShader : Object (inner, constant)

GTAO depth shader. Use by GTAOPass.

### .GTAOShader : ShaderMaterial~Shader (inner, constant)

GTAO shader. Use by GTAOPass.

References:

- Practical Realtime Strategies for Accurate Indirect Occlusion.
- Horizon-Based Indirect Lighting (HBIL)

## Source

examples/jsm/shaders/GTAOShader.js